Doomsday Engine - Bug #199

Built in gIBSP doesn't support dummy sector tricks
2004-10-17 23:41 - danij

Status: Closed Start date: 2004-10-17
Priority: Normal % Done: 100%
Assignee: danij

Category:

Target version: 1.8.2

Description

The built in version of gIBSP doesn't seem to support
dummy sector tricks (for common sector over sector
effects) at all! This results in some wads looking very
bad indeed where the renderer is being given bad info
from the gl nodes and drawings that arn't supposed to
be there.

If bsp-build is set to 0 everything looks ok apart from
the thin sectors used to contain the effect causing

a "hole" to be rendered. If these could be detected and
not drawn it would look much better.

Labels: Graphics

History

#1 - 2004-10-17 23:43 - danij

Logged In: YES
user_id=849456

Related to #743780

#2 - 2006-03-07 23:19 - danij

Logged In: YES
user_id=849456

With the combination of upgrading MapLoader.dll to gIBSP
v2.20 and the new self-referencing hack handling code (in

SVN) - the issues | was specifically referring to are now fixed.
2024-04-20

1/1



http://www.tcpdf.org

